FEDORA-2016-236fdd6917 created by dwmw2 4 years ago for Fedora 25
stable

Update to OpenConnect 7.08. This fixes a number of compatibility issues with Juniper VPN, and implements automatic MTU detection.

Note: This release removes the --no-cert-check option; a testing facility which allowed wildly insecure behaviour. Use --servercert XXXXX instead.

How to install

sudo dnf upgrade --advisory=FEDORA-2016-236fdd6917

This update has been submitted for testing by dwmw2.

4 years ago

This update has been pushed to testing.

4 years ago
User Icon anonymous commented & provided feedback 4 years ago

Hello

I'm not able to install this version as usually e.g: dnf install openconnect --enablerepo=updates-testing

DNF will offer package from "fedora" repository. This is probably happening because the release number wasn't bumped?

e.g GA repository offers following package: openconnect-7.07-2.fc25.x86_64.rpm

But regarding the package it self - forks fine, except "--no-cert-check" switch has been removed but this is probably more a upstream thing than anything else.

Regards, Kristjan

karma: +1

BZ#1380503 Please apply patch to resolve HTTP error 400 with Pulse latest version
User Icon dwmw2 commented & provided feedback 4 years ago

I suspect the dnf issue was just because your local mirror hadn't synced yet. Working for me this morning. The release number is less important than the version number: 7.08-1 > 7.07-2.

Yes, we removed --no-cert-check because it was a bad idea and you should never have been using it. Use --servercert instead. Apologies; that wants mentioning in the release notes. And I forgot it in the public announcement of OpenConnect 7.08 too.

dwmw2 edited this update.

4 years ago
User Icon filiperosset commented & provided feedback 4 years ago
karma

no regressions noted

User Icon cserpentis commented & provided feedback 4 years ago
karma

works for me

This update has been submitted for stable by bodhi.

4 years ago
User Icon lupinix commented & provided feedback 4 years ago
karma

works fine with our university vpn

This update has been pushed to stable.

4 years ago
User Icon jussilehtola commented & provided feedback 4 years ago
karma

Running transaction check Error: transaction check vs depsolve: libpcsclite.so.1()(64bit) is needed by openconnect-7.08-1.fc25.x86_64

User Icon dwmw2 commented & provided feedback 4 years ago

Hm, libpcsclite.so.1 is provided by the pcsc-lite-libs package. And was required by the old package too, wasn't it?

User Icon jussilehtola commented & provided feedback 4 years ago
karma

Looks like the problem was at my end: I had a corrupted rpm database from my laptop running out of battery in the cleanup phase of a dnf update.

Sorry for the noise.


Please login to add feedback.

Metadata
Type
bugfix
Karma
4
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
3
Stable by Time
disabled
Dates
submitted
4 years ago
in testing
4 years ago
in stable
4 years ago
modified
4 years ago
BZ#1249126 Comma in resolv.conf using openconnect
0
0
BZ#1268847 ssh fails to connect to VPN hosts - hangs at "expecting SSH2_MSG_KEX_ECDH_REPLY"
0
0
BZ#1380503 Please apply patch to resolve HTTP error 400 with Pulse latest version
0
1

Automated Test Results